New Ford Cars for Sale nearOrangeburg, SC
Shop with transparent pricing.
Only show listings that include dealer fees- Year:
- 2026
- Make:
- Ford
- Model:
- Ranger
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 270 hp 2.3L I4
- Exterior color:
- Desert Sand
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black (Ebony)
- Transmission:
- Automatic
- Mileage:
- 5
- Stock #:
- 12932
- VIN:
- 1FTER4GH1TLE67834


Sponsored by Berkeley Ford
2026 Ford Ranger
XLT SuperCrew RWD
New car
MSRP $45,635
$41,837
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 430 hp 3.5L V6 Hybrid
- Exterior color:
- Agate Black Metallic
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Hybrid
- Interior color:
- Java
- Transmission:
- Automatic
- Mileage:
- 1,855
- Stock #:
- SF6005
- VIN:
- 1FTFW6LD0TFA10443

Sponsored Listing
2026 Ford F-150
King Ranch SuperCrew 4WD
New car
MSRP $89,740
$81,379
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 18 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 5
- Stock #:
- 12912
- VIN:
- 1FTFW4L82TFC39942

Sponsored Listing
2026 Ford F-150
Tremor SuperCrew 4WD
New car
MSRP $72,160
$65,719
- Year:
- 2026
- Make:
- Ford
- Model:
- Mustang
- Body type:
- Convertible
- Doors:
- 2 doors
- Drivetrain:
- Rear-Wheel Drive
- Engine:
- 480 hp 5L V8
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black Onyx
- Transmission:
- Automatic
- Mileage:
- 12
- Stock #:
- F101037
- VIN:
- 1FAGP8FF9T5101037

2026 Ford Mustang
GT Premium Convertible RWD
New car
MSRP $65,405
No Price Listed
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Black Metallic
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 728
- Stock #:
- RFB33011X
- VIN:
- 1FTEW2KP5TFB33011

2026 Ford F-150
STX SuperCrew RWD
New car
MSRP $51,690
$38,488
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 5L V8
- Exterior color:
- Carbonized Gray Metallic
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC26390
- VIN:
- 1FTFW3L51TFC26390

2026 Ford F-150
XLT SuperCrew 4WD
New car
MSRP $70,220
$57,064
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFE64211
- VIN:
- 1FTEW2LP5TKE64211

2026 Ford F-150
STX SuperCrew 4WD
New car
MSRP $53,865
$42,064
- Year:
- 2026
- Make:
- Ford
- Model:
- Mustang
- Body type:
- Coupe
- Doors:
- 2 doors
- Drivetrain:
- Rear-Wheel Drive
- Engine:
- 315 hp 2.3L I4
- Exterior color:
- Avalanche Gray
- Combined gas mileage:
- 27 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black Onyx
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RF139055
- VIN:
- 1FA6P8TH1T5139055

-$3,485
2026 Ford Mustang
EcoBoost Fastback RWD
New car
MSRP $37,980
$36,049
$32,564
- Year:
- 2026
- Make:
- Ford
- Model:
- Mustang
- Body type:
- Coupe
- Doors:
- 2 doors
- Drivetrain:
- Rear-Wheel Drive
- Engine:
- 315 hp 2.3L I4
- Exterior color:
- Adriatic Blue Metallic
- Combined gas mileage:
- 27 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black Onyx
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RF139296
- VIN:
- 1FA6P8TH1T5139296

-$3,485
2026 Ford Mustang
EcoBoost Fastback RWD
New car
MSRP $37,980
$36,049
$32,564
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Carbonized Gray Metallic
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC45130
- VIN:
- 1FTEW2KP3TFC45130

-$7,695
2026 Ford F-150
STX SuperCrew RWD
New car
MSRP $51,690
$47,259
$39,564
- Year:
- 2024
- Make:
- Ford
- Model:
- Escape
- Body type:
- SUV / Crossover
- Doors:
- 4 doors
- Drivetrain:
- All-Wheel Drive
- Engine:
- 180 hp 1.5L I3
- Exterior color:
- Rapid Red Metallic Tinted Clearcoat
- Combined gas mileage:
- 29 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black (Ebony)
- Transmission:
- 8-Speed Automatic
- Mileage:
- 2,022
- Stock #:
- T7746
- VIN:
- 1FMCU9MN4RUA75717

2024 Ford Escape
ST-Line AWD
New car
MSRP $34,895
$29,980
- Year:
- 2026
- Make:
- Ford
- Model:
- Bronco Sport
- Body type:
- SUV / Crossover
- Doors:
- 4 doors
- Drivetrain:
- All-Wheel Drive
- Engine:
- 238 hp 2L I4
- Exterior color:
- Ruby Red Metallic Tinted Clearcoat
- Combined gas mileage:
- 24 MPG
- Fuel type:
- Gasoline
- Interior color:
- Gray
- Transmission:
- 8-Speed Automatic
- Mileage:
- 3,284
- Stock #:
- RFE14113
- VIN:
- 3FMCR9DA7TRE14113

2026 Ford Bronco Sport
Badlands AWD
New car
MSRP $43,750
$34,992
- Year:
- 2026
- Make:
- Ford
- Model:
- Maverick
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- All-Wheel Drive
- Engine:
- 238 hp 2L I4
- Exterior color:
- Carbonized Gray Metallic
- Combined gas mileage:
- 25 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black Onyx
- Transmission:
- 7-Speed Automatic
- Mileage:
- 3,284
- Stock #:
- RFA69677
- VIN:
- 3FTCW8TA2TRA69677

2026 Ford Maverick
Lobo SuperCrew AWD
New car
MSRP $38,735
$31,882
Customer summary
Ford offers a diverse lineup that appeals to many drivers with a focus on performance, comfort, and reliability. Many owners appreciate the powerful engines and engaging driving experiences found in models like the Mustang and F-150. Spacious interiors and advanced features also receive praise, especially in SUVs like the Explorer, Escape, and Expedition. However, common concerns include fuel economy, handling issues in certain models, and some reliability challenges. Overall, Ford vehicles are generally loved for their durability and capability but may require attention to fuel efficiency and certain technical aspects.
- Year:
- 2026
- Make:
- Ford
- Model:
- Mustang Mach-E
- Body type:
- SUV / Crossover
- Doors:
- 4 doors
- Drivetrain:
- Rear-Wheel Drive
- Engine:
- Electric
- Exterior color:
- Shadow Black
- Fuel type:
- Electric
- Interior color:
- Black Onyx
- Transmission:
- Automatic
- Mileage:
- 10
- Stock #:
- RFA08618
- VIN:
- 3FMTK1R44TMA08618

2026 Ford Mustang Mach-E
Select RWD
New car
MSRP $42,535
$35,911
- Year:
- 2026
- Make:
- Ford
- Model:
- Bronco Sport
- Body type:
- SUV / Crossover
- Doors:
- 4 doors
- Drivetrain:
- All-Wheel Drive
- Engine:
- 180 hp 1.5L I3
- Exterior color:
- Carbonized Gray Metallic
- Combined gas mileage:
- 27 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black (Ebony/Roast)
- Transmission:
- 8-Speed Automatic
- Mileage:
- 11
- Stock #:
- RFE55286
- VIN:
- 3FMCR9CN6TRE55286

2026 Ford Bronco Sport
Outer Banks AWD
New car
MSRP $37,140
$29,992
- Year:
- 2026
- Make:
- Ford
- Model:
- Mustang Mach-E
- Body type:
- SUV / Crossover
- Doors:
- 4 doors
- Drivetrain:
- Rear-Wheel Drive
- Engine:
- Electric
- Exterior color:
- Gray Metallic
- Fuel type:
- Electric
- Interior color:
- Black Onyx
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFA16772
- VIN:
- 3FMTK1R4XTMA16772

2026 Ford Mustang Mach-E
Select RWD
New car
MSRP $42,775
$36,064
- Year:
- 2026
- Make:
- Ford
- Model:
- Mustang
- Body type:
- Coupe
- Doors:
- 2 doors
- Drivetrain:
- Rear-Wheel Drive
- Engine:
- 315 hp 2.3L I4
- Exterior color:
- Avalanche Gray
- Combined gas mileage:
- 27 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black Onyx
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RF130930
- VIN:
- 1FA6P8TH9T5130930

2026 Ford Mustang
EcoBoost Fastback RWD
New car
MSRP $37,980
$32,491
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black W/Medium Dark Slate
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC13300
- VIN:
- 1FTEW3LP1TFC13300

2026 Ford F-150
XLT SuperCrew 4WD
New car
MSRP $62,365
$48,846
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 430 hp 3.5L V6 Hybrid
- Exterior color:
- Star White Metallic Tri-Coat
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Hybrid
- Interior color:
- Black/Smoked Truffle
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC50367
- VIN:
- 1FTFW5LD1TFC50367

2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $82,680
$68,564
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFF43289
- VIN:
- 1FTFW5L81TKF43289

2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $73,865
$61,564
- Year:
- 2026
- Make:
- Ford
- Model:
- Maverick
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Front-Wheel Drive
- Engine:
- 238 hp 2L I4
- Exterior color:
- Velocity Blue
- Combined gas mileage:
- 27 MPG
- Fuel type:
- Gasoline
- Interior color:
- Blue (Navy Pier/Aspen Gray)
- Transmission:
- 8-Speed Automatic
- Mileage:
- 11
- Stock #:
- RFB53096
- VIN:
- 3FTTW8HA7TRB53096

2026 Ford Maverick
XLT SuperCrew FWD
New car
MSRP $31,490
$28,564
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 5L V8
- Exterior color:
- Carbonized Gray Metallic
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFE76805
- VIN:
- 1FTFW5L50TKE76805

2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $71,550
$59,992
- Year:
- 2025
- Make:
- Ford
- Model:
- Transit Cargo
- Body type:
- Van
- Doors:
- 3 doors
- Drivetrain:
- Rear-Wheel Drive
- Engine:
- 275 hp 3.5L V6 Flex Fuel Vehicle
- Exterior color:
- Oxford White
- Fuel type:
- Flex Fuel Vehicle
- Interior color:
- Dark Palazzo
- Mileage:
- 0
- Stock #:
- FD26242
- VIN:
- 1FTBR1X89SKA07455

2025 Ford Transit Cargo
250 High Roof LB RWD
New car
MSRP $58,890
$47,956
- Year:
- 2026
- Make:
- Ford
- Model:
- Ranger
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 270 hp 2.3L I4
- Exterior color:
- Desert Sand
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black (Ebony)
- Transmission:
- Automatic
- Mileage:
- 5
- Stock #:
- 12932
- VIN:
- 1FTER4GH1TLE67834


Sponsored by Berkeley Ford
2026 Ford Ranger
XLT SuperCrew RWD
New car
MSRP $45,635
$41,837
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 430 hp 3.5L V6 Hybrid
- Exterior color:
- Agate Black Metallic
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Hybrid
- Interior color:
- Java
- Transmission:
- Automatic
- Mileage:
- 1,855
- Stock #:
- SF6005
- VIN:
- 1FTFW6LD0TFA10443

Sponsored Listing
2026 Ford F-150
King Ranch SuperCrew 4WD
New car
MSRP $89,740
$81,379
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 18 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 5
- Stock #:
- 12912
- VIN:
- 1FTFW4L82TFC39942

Sponsored Listing
2026 Ford F-150
Tremor SuperCrew 4WD
New car
MSRP $72,160
$65,719
- Year:
- 2026
- Make:
- Ford
- Model:
- Mustang
- Body type:
- Convertible
- Doors:
- 2 doors
- Drivetrain:
- Rear-Wheel Drive
- Engine:
- 480 hp 5L V8
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black Onyx
- Transmission:
- Automatic
- Mileage:
- 12
- Stock #:
- F101037
- VIN:
- 1FAGP8FF9T5101037

2026 Ford Mustang
GT Premium Convertible RWD
New car
MSRP $65,405
No Price Listed
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Black Metallic
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 728
- Stock #:
- RFB33011X
- VIN:
- 1FTEW2KP5TFB33011

2026 Ford F-150
STX SuperCrew RWD
New car
MSRP $51,690
$38,488
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 5L V8
- Exterior color:
- Carbonized Gray Metallic
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC26390
- VIN:
- 1FTFW3L51TFC26390

2026 Ford F-150
XLT SuperCrew 4WD
New car
MSRP $70,220
$57,064
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFE64211
- VIN:
- 1FTEW2LP5TKE64211

2026 Ford F-150
STX SuperCrew 4WD
New car
MSRP $53,865
$42,064
- Year:
- 2026
- Make:
- Ford
- Model:
- Mustang
- Body type:
- Coupe
- Doors:
- 2 doors
- Drivetrain:
- Rear-Wheel Drive
- Engine:
- 315 hp 2.3L I4
- Exterior color:
- Avalanche Gray
- Combined gas mileage:
- 27 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black Onyx
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RF139055
- VIN:
- 1FA6P8TH1T5139055

-$3,485
2026 Ford Mustang
EcoBoost Fastback RWD
New car
MSRP $37,980
$36,049
$32,564
- Year:
- 2026
- Make:
- Ford
- Model:
- Mustang
- Body type:
- Coupe
- Doors:
- 2 doors
- Drivetrain:
- Rear-Wheel Drive
- Engine:
- 315 hp 2.3L I4
- Exterior color:
- Adriatic Blue Metallic
- Combined gas mileage:
- 27 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black Onyx
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RF139296
- VIN:
- 1FA6P8TH1T5139296

-$3,485
2026 Ford Mustang
EcoBoost Fastback RWD
New car
MSRP $37,980
$36,049
$32,564
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Carbonized Gray Metallic
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC45130
- VIN:
- 1FTEW2KP3TFC45130

-$7,695
2026 Ford F-150
STX SuperCrew RWD
New car
MSRP $51,690
$47,259
$39,564
- Year:
- 2024
- Make:
- Ford
- Model:
- Escape
- Body type:
- SUV / Crossover
- Doors:
- 4 doors
- Drivetrain:
- All-Wheel Drive
- Engine:
- 180 hp 1.5L I3
- Exterior color:
- Rapid Red Metallic Tinted Clearcoat
- Combined gas mileage:
- 29 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black (Ebony)
- Transmission:
- 8-Speed Automatic
- Mileage:
- 2,022
- Stock #:
- T7746
- VIN:
- 1FMCU9MN4RUA75717

2024 Ford Escape
ST-Line AWD
New car
MSRP $34,895
$29,980
- Year:
- 2026
- Make:
- Ford
- Model:
- Bronco Sport
- Body type:
- SUV / Crossover
- Doors:
- 4 doors
- Drivetrain:
- All-Wheel Drive
- Engine:
- 238 hp 2L I4
- Exterior color:
- Ruby Red Metallic Tinted Clearcoat
- Combined gas mileage:
- 24 MPG
- Fuel type:
- Gasoline
- Interior color:
- Gray
- Transmission:
- 8-Speed Automatic
- Mileage:
- 3,284
- Stock #:
- RFE14113
- VIN:
- 3FMCR9DA7TRE14113

2026 Ford Bronco Sport
Badlands AWD
New car
MSRP $43,750
$34,992
- Year:
- 2026
- Make:
- Ford
- Model:
- Maverick
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- All-Wheel Drive
- Engine:
- 238 hp 2L I4
- Exterior color:
- Carbonized Gray Metallic
- Combined gas mileage:
- 25 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black Onyx
- Transmission:
- 7-Speed Automatic
- Mileage:
- 3,284
- Stock #:
- RFA69677
- VIN:
- 3FTCW8TA2TRA69677

2026 Ford Maverick
Lobo SuperCrew AWD
New car
MSRP $38,735
$31,882
Customer summary
Ford offers a diverse lineup that appeals to many drivers with a focus on performance, comfort, and reliability. Many owners appreciate the powerful engines and engaging driving experiences found in models like the Mustang and F-150. Spacious interiors and advanced features also receive praise, especially in SUVs like the Explorer, Escape, and Expedition. However, common concerns include fuel economy, handling issues in certain models, and some reliability challenges. Overall, Ford vehicles are generally loved for their durability and capability but may require attention to fuel efficiency and certain technical aspects.
- Year:
- 2026
- Make:
- Ford
- Model:
- Mustang Mach-E
- Body type:
- SUV / Crossover
- Doors:
- 4 doors
- Drivetrain:
- Rear-Wheel Drive
- Engine:
- Electric
- Exterior color:
- Shadow Black
- Fuel type:
- Electric
- Interior color:
- Black Onyx
- Transmission:
- Automatic
- Mileage:
- 10
- Stock #:
- RFA08618
- VIN:
- 3FMTK1R44TMA08618

2026 Ford Mustang Mach-E
Select RWD
New car
MSRP $42,535
$35,911
- Year:
- 2026
- Make:
- Ford
- Model:
- Bronco Sport
- Body type:
- SUV / Crossover
- Doors:
- 4 doors
- Drivetrain:
- All-Wheel Drive
- Engine:
- 180 hp 1.5L I3
- Exterior color:
- Carbonized Gray Metallic
- Combined gas mileage:
- 27 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black (Ebony/Roast)
- Transmission:
- 8-Speed Automatic
- Mileage:
- 11
- Stock #:
- RFE55286
- VIN:
- 3FMCR9CN6TRE55286

2026 Ford Bronco Sport
Outer Banks AWD
New car
MSRP $37,140
$29,992
- Year:
- 2026
- Make:
- Ford
- Model:
- Mustang Mach-E
- Body type:
- SUV / Crossover
- Doors:
- 4 doors
- Drivetrain:
- Rear-Wheel Drive
- Engine:
- Electric
- Exterior color:
- Gray Metallic
- Fuel type:
- Electric
- Interior color:
- Black Onyx
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFA16772
- VIN:
- 3FMTK1R4XTMA16772

2026 Ford Mustang Mach-E
Select RWD
New car
MSRP $42,775
$36,064
- Year:
- 2026
- Make:
- Ford
- Model:
- Mustang
- Body type:
- Coupe
- Doors:
- 2 doors
- Drivetrain:
- Rear-Wheel Drive
- Engine:
- 315 hp 2.3L I4
- Exterior color:
- Avalanche Gray
- Combined gas mileage:
- 27 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black Onyx
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RF130930
- VIN:
- 1FA6P8TH9T5130930

2026 Ford Mustang
EcoBoost Fastback RWD
New car
MSRP $37,980
$32,491
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black W/Medium Dark Slate
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC13300
- VIN:
- 1FTEW3LP1TFC13300

2026 Ford F-150
XLT SuperCrew 4WD
New car
MSRP $62,365
$48,846
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 430 hp 3.5L V6 Hybrid
- Exterior color:
- Star White Metallic Tri-Coat
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Hybrid
- Interior color:
- Black/Smoked Truffle
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC50367
- VIN:
- 1FTFW5LD1TFC50367

2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $82,680
$68,564
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFF43289
- VIN:
- 1FTFW5L81TKF43289

2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $73,865
$61,564
- Year:
- 2026
- Make:
- Ford
- Model:
- Maverick
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Front-Wheel Drive
- Engine:
- 238 hp 2L I4
- Exterior color:
- Velocity Blue
- Combined gas mileage:
- 27 MPG
- Fuel type:
- Gasoline
- Interior color:
- Blue (Navy Pier/Aspen Gray)
- Transmission:
- 8-Speed Automatic
- Mileage:
- 11
- Stock #:
- RFB53096
- VIN:
- 3FTTW8HA7TRB53096

2026 Ford Maverick
XLT SuperCrew FWD
New car
MSRP $31,490
$28,564
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 5L V8
- Exterior color:
- Carbonized Gray Metallic
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFE76805
- VIN:
- 1FTFW5L50TKE76805

2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $71,550
$59,992
- Year:
- 2025
- Make:
- Ford
- Model:
- Transit Cargo
- Body type:
- Van
- Doors:
- 3 doors
- Drivetrain:
- Rear-Wheel Drive
- Engine:
- 275 hp 3.5L V6 Flex Fuel Vehicle
- Exterior color:
- Oxford White
- Fuel type:
- Flex Fuel Vehicle
- Interior color:
- Dark Palazzo
- Mileage:
- 0
- Stock #:
- FD26242
- VIN:
- 1FTBR1X89SKA07455

2025 Ford Transit Cargo
250 High Roof LB RWD
New car
MSRP $58,890
$47,956
4.5 Overall rating for Ford
Customers say
Ford offers a diverse lineup that appeals to many drivers with a focus on performance, comfort, and reliability. Many owners appreciate the powerful engines and engaging driving experiences found in models like the Mustang and F-150. Spacious interiors and advanced features also receive praise, especially in SUVs like the Explorer, Escape, and Expedition. However, common concerns include fuel economy, handling issues in certain models, and some reliability challenges. Overall, Ford vehicles are generally loved for their durability and capability but may require attention to fuel efficiency and certain technical aspects.
AI generated from the text of customer reviews.
Filter by body style
Filter by rating
What people say
Anonymous
Reviewed a 2016 Ford Edge on Mar 4, 2026
Crappy car. When it was idling, the doors would shake when they were open.
RobbLl y
Reviewed a 2017 Ford Platinum FWD on Jul 9, 2026
The car is packed with a ton of features that make driving relaxing, convenient, and one-of-a-kind. the cooled are excellent as they don’t just ventilate the air from the floor, it actually cools it (however after awhile the back cooling effect subsides, and the heat exhaust from cooling the seat will begin to subtly creep in there). The interior is very plush and premium. The sound quality is fantastic. The car is great value, it is very efficient, quiet (it has active noise cancelling), luxurious, yet it doesn’t have those premium markups and the car is very reliable eCVT and as a ford, parts are not expensive. It has a lot of sensors and a backup camera (no 360 view, it’s a 2017 where those were less common). Besides that it is not missing much. I cannot think of any other models I can compare it to; its interior is truly one of a kind for this price point and it is packed with luxury features.
Poojmagooj L
Reviewed a 2017 Ford Titanium AWD on May 23, 2026
This is the FANCIEST car I've ever had. Feature packed, peppy, good looking, 'nuff said. I LOVE this car!!!
Josiah L
Reviewed a 2020 Ford XLT Crew Cab 4WD on Apr 23, 2026
Great condition really nice interior, really good priced drives and runs great



















